<?php

namespace App;

abstract class DataMigration
{
    /**
     * Gets the version number this data migration applies to.
     * @return string
     */
    abstract function getVersion();

    /**
     * Runs this data migration.
     * @param string $currentVersion Current version being upgraded from.
     */
    abstract function run($currentVersion);
}